Subject: Re: bug#6576: documentation `string-to-char' is incorrect

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2011 06:06:56 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 14 Jul 2011 01:50:59 +0200
> 
> >   "Return the codepoint of the first character of STRING.
> >
> >   Value is the Unicode codepoint, if it is below #x110000 (in hex).
> >   Codepoints beyond that are Emacs extensions of Unicode.  In
> >   particular, eight-bit characters are returned as codepoints in
> >   the range #x3FFF80 through #x3FFFFF, inclusive."
> 
> I've now installed a slight variation on this in Emacs 24.
> 
> But after checking it in, I started wondering whether this doc string
> really makes sense.  The function returns an Emacs character, and it
> would be rather weird if all functions that take or return an Emacs
> character goes through that entire explanation.

Which other functions would need this?

> Is there a specific reason this particular function deserves this
> detailed explanation?

If you can suggest a better one that takes care of the original bug
report, please show your suggestion.